package cn.com.qmth.stmms.ms.core.domain.task;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.vo.Subject;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 评卷员评卷任务（自查）
 */
@Entity
public class MarkTaskMarkerPaper implements Serializable {

    private static final long serialVersionUID = -1;

    @Id
    @GeneratedValue
    private Long id;

    @NotNull
    private Long workId;

    @Enumerated(value = EnumType.STRING)
    private Subject subject;

    @NotNull
    @Enumerated(value = EnumType.ORDINAL)
    private MarkStage stage;

    @NotNull
    private Long markerId;

    @NotNull
    private Long taskId;

    public MarkTaskMarkerPaper() {
    }

    public MarkTaskMarkerPaper(Long workId, Subject subject, MarkStage stage, Long markerId, Long taskId) {
        this.workId = workId;
        this.subject = subject;
        this.stage = stage;
        this.markerId = markerId;
        this.taskId = taskId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Subject getSubject() {
        return subject;
    }

    public void setSubject(Subject subject) {
        this.subject = subject;
    }

    public MarkStage getStage() {
        return stage;
    }

    public void setStage(MarkStage stage) {
        this.stage = stage;
    }

    public Long getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Long markerId) {
        this.markerId = markerId;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }
}
