package cn.com.qmth.stmms.ms.core.domain.task;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.vo.Subject;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 自查评卷任务
 */
@Entity
public class MarkTaskSelfCheck implements Serializable {

    private static final long serialVersionUID = -1;

    @Id
    @GeneratedValue
    private Long id;

    @NotNull
    private Long workId;

    @Enumerated(value = EnumType.STRING)
    private Subject subject;

    @NotNull
    private Long taskId;

    @NotNull
    private Long markerId;

    @NotNull
    @Enumerated(value = EnumType.ORDINAL)
    private MarkStage stage;

    private String level;

    private Integer levelValue;

    private boolean marking;

    @Temporal(value = TemporalType.TIMESTAMP)
    private Date createdOn;

    @Temporal(value = TemporalType.TIMESTAMP)
    private Date updatedOn;

    public MarkTaskSelfCheck() {
    }

    public MarkTaskSelfCheck(Long workId, Subject subject, Long taskId, Long markerId, MarkStage stage) {
        this.workId = workId;
        this.subject = subject;
        this.taskId = taskId;
        this.markerId = markerId;
        this.stage = stage;
        this.marking = false;
        this.createdOn = new Date();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Subject getSubject() {
        return subject;
    }

    public void setSubject(Subject subject) {
        this.subject = subject;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Long getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Long markerId) {
        this.markerId = markerId;
    }

    public MarkStage getStage() {
        return stage;
    }

    public void setStage(MarkStage stage) {
        this.stage = stage;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Integer getLevelValue() {
        return levelValue;
    }

    public void setLevelValue(Integer levelValue) {
        this.levelValue = levelValue;
    }

    public boolean isMarking() {
        return marking;
    }

    public void setMarking(boolean marking) {
        this.marking = marking;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public Date getUpdatedOn() {
        return updatedOn;
    }

    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }
}
