package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.domain.task.MarkTaskSelfCheck;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;

/**
 * 自查卷repo
 */
public interface MarkTaskSelfCheckRepo extends JpaRepository<MarkTaskSelfCheck, Long>, JpaSpecificationExecutor {


    @Modifying
    @Query("update MarkTaskSelfCheck m set m.level = ?2, m.levelValue = ?3, m.marking = ?4, m.updatedOn = ?5 where m.id = ?1")
    void updateMarkingById(Long id, String level, int levelValue, Boolean marking, Date date);

    MarkTaskSelfCheck findByWorkIdAndMarkerIdAndSubjectAndStageAndMarking(Long workId, Long markerId, Subject subject, MarkStage stage, boolean marking);
}
